# The Docker image that will be used to build your app.
image: node:lts
# Functions that should be executed before the build script is run
before_script:
  - npm install
pages:
  script:
    # - npx tailwindcss -i ./src/index.css -o ./dist/build.css --minify
    - npm run build
    - cp -a dist/. public/
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL.
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
